Subject: bug#21588: closed (Re: bug#21588: 25.0.50: Single quotes becoming curvy quotes in message function)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 29 Sep 2015 22:55:03 +0000

Your bug report

#21588: 25.0.50: Single quotes becoming curvy quotes in message function

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21588: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21588
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21588: 25.0.50: Single quotes becoming curvy quotes in message function
From: Kaushal Modi <[email-masked]>
To: Glenn Morris <[email-masked]>, [email-masked]
Date: Tue, 29 Sep 2015 18:54:12 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the reply.

Among all the noise about curved quotes, I missed out the discussion about
text-quoting-style. I started paying attention to that only recently when
Paul reverted curved quote stuff in the documentation.

I should have looked at NEWS; sorry about that.

I got my answer; I need to set text-quoting-style to 'straight.

For reference,

(progn
  (message "text-quoting-style = default")
  (let ((text-quoting-style))
    (message "'Hey'")
    (message "`Hey'"))
  (message "text-quoting-style = curve")
  (let ((text-quoting-style 'curve))
    (message "'Hey'")
    (message "`Hey'"))
  (message "text-quoting-style = straight")
  (let ((text-quoting-style 'straight))
    (message "'Hey'")
    (message "`Hey'"))
  (message "text-quoting-style = grave")
  (let ((text-quoting-style 'grave))
    (message "'Hey'")
    (message "`Hey'")))

gives

text-quoting-style = default
’Hey’
‘Hey’
text-quoting-style = curve
’Hey’
‘Hey’
text-quoting-style = straight
'Hey' [2 times]
text-quoting-style = grave
'Hey'
`Hey'

--
Kaushal Modi

On Tue, Sep 29, 2015 at 5:32 PM, Glenn Morris <[email-masked]> wrote:

>
> This has been discussed to death and is documented in NEWS.
> I'm not sure what else there could be left to say.
>

Subject: 25.0.50: Single quotes becoming curvy quotes in message function
From: Kaushal Modi <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 29 Sep 2015 17:17:08 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

In an emacs -Q session, when you eval the below,

(message "'Hey'")

you get

’Hey’
"’Hey’"

Note the difference here:

This is what I get when I do "C-u C-x =" on the first single quote in the
message form:

             position: 206 of 208 (99%), column: 14
            character: ' (displayed as ') (codepoint 39, #o47, #x27)
    preferred charset: ascii (ASCII (ISO646 IRV))
code point in charset: 0x27
               script: latin
               syntax: ' which means: prefix
             category: .:Base, a:ASCII, l:Latin, r:Roman
             to input: type "C-x 8 RET 27" or "C-x 8 RET APOSTROPHE"
          buffer code: #x27
            file code: #x27 (encoded by coding system utf-8-unix)
              display: by this font (glyph code)
    xft:-unknown-DejaVu Sans
Mono-normal-normal-normal-*-13-*-*-*-m-0-iso10646-1 (#x0A)

Character code properties: customize what to show
  name: APOSTROPHE
  old-name: APOSTROPHE-QUOTE
  general-category: Po (Punctuation, Other)
  decomposition: (39) (''')

There are text properties here:
  face                 font-lock-string-face
  fontified            nil

This is what I get when I do "C-u C-x =" on the first single quote in the
*Messages* buffer (C-h e):

             position: 67 of 338 (20%), column: 0
            character: ’ (displayed as ’) (codepoint 8217, #o20031, #x2019)
    preferred charset: unicode (Unicode (ISO10646))
code point in charset: 0x2019
               script: symbol
               syntax: . which means: punctuation
             category: .:Base, c:Chinese, h:Korean, j:Japanese
             to input: type "C-x 8 RET 2019" or "C-x 8 RET RIGHT SINGLE
QUOTATION MARK"
          buffer code: #xE2 #x80 #x99
            file code: #xE2 #x80 #x99 (encoded by coding system utf-8-unix)
              display: by this font (glyph code)
    xft:-unknown-DejaVu Sans
Mono-normal-normal-normal-*-13-*-*-*-m-0-iso10646-1 (#x6C1)

Character code properties: customize what to show
  name: RIGHT SINGLE QUOTATION MARK
  old-name: SINGLE COMMA QUOTATION MARK
  general-category: Pf (Punctuation, Final quote)
  decomposition: (8217) ('’')

I believe emacs should not be converting all APOSTROPHE characters to RIGHT
SINGLE QUOTATION MARK characters. The displayed messages look just plain
weird. To fix that, I would then need to replace all 'MSG' (apostrophe MSG
apostrophe) type message displays to `MSG' (back quote MSG apostrophe),
which is not practical.

Or, is there a defcustom I need to set to prevent this character
translation to curvy quotes?

​Question:

Why is emacs converting all single

​

--
Kaushal Modi